Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: GPXviewer in ubuntu 18.04.2  (gelezen 153 keer)

Offline YDL

  • Lid
GPXviewer in ubuntu 18.04.2
« Gepost op: 2019/05/12, 22:16:53 »
Hoe maak ik GPXviewer actief in ubuntu 18.04.2 ?
Via ubuntu software heb ik GPXviewer geïnstalleerd op mijn laptop.
Als ik GPXviewer wil starten via een terminalcommando krijg ik volgende foutmelding:
~$ gpxviewer
/usr/bin/gpxviewer:28: PyGIWarning: Gdk was imported without specifying a version first. Use gi.require_version('Gdk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gdk
/usr/share/gpxviewer/gpxviewer/ui.py:26: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
/usr/share/gpxviewer/gpxviewer/ui.py:30: PyGIWarning: OsmGpsMap was imported without specifying a version first. Use gi.require_version('OsmGpsMap', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import OsmGpsMap
/usr/share/gpxviewer/gpxviewer/pygtk_chart/chart.py:42: PyGIWarning: PangoCairo was imported without specifying a version first. Use gi.require_version('PangoCairo', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import PangoCairo
Traceback (most recent call last):
  File "/usr/bin/gpxviewer", line 29, in <module>
    from gpxviewer.ui import MainWindow
  File "/usr/share/gpxviewer/gpxviewer/ui.py", line 32, in <module>
    import stats
  File "/usr/share/gpxviewer/gpxviewer/stats.py", line 2, in <module>
    import pygtk_chart.bar_chart
  File "/usr/share/gpxviewer/gpxviewer/pygtk_chart/bar_chart.py", line 34, in <module>
    from pygtk_chart import chart
  File "/usr/share/gpxviewer/gpxviewer/pygtk_chart/chart.py", line 44, in <module>
    import pygtk
ImportError: No module named pygtk

Hoe kan ik GPX viewer activeren in ubuntu 18.04.2?